import 'package:flutter/material.dart';

class PlantRowWater extends StatelessWidget {
  final double waterRequirment;

  const PlantRowWater({Key? key, required this.waterRequirment})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.all(5),
      height: 100,
      width: 100,
      color: Colors.blue,
      child: Flex(
        direction: Axis.vertical,
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Image.asset('lib/assets/layout/vertical-water-pipe-64.png'),
          Text("$waterRequirment l",
              style: const TextStyle(color: Colors.white)),
        ],
      ),
    );
  }
}
